commit 57bf45694e0e64f3b7332197fc03ca8cfe31d35d
Author: freddy77 <freddy77>
Date:   Fri Feb 12 09:04:58 2010 +0000

    additional check for SQLDescribeCol length

diff --git a/ChangeLog b/ChangeLog
index 7dafb0c..6cee56c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Feb 12 10:04:15 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/describecol.c:
+	- additional check for SQLDescribeCol length
+
 Fri Feb 12 09:56:42 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/describecol.in:
 	- restrict some describecol checks to mssql only
@@ -2317,4 +2321,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2989 2010/02/12 08:57:01 freddy77 Exp $
+$Id: ChangeLog,v 1.2990 2010/02/12 09:04:58 freddy77 Exp $
diff --git a/src/odbc/unittests/describecol.c b/src/odbc/unittests/describecol.c
index b521dd5..0fad864 100644
--- a/src/odbc/unittests/describecol.c
+++ b/src/odbc/unittests/describecol.c
@@ -6,7 +6,7 @@
  * test what say SQLDescribeCol about precision using some type
  */
 
-static char software_version[] = "$Id: describecol.c,v 1.16 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: describecol.c,v 1.17 2010/02/12 09:04:58 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int g_result = 0;
@@ -152,6 +152,14 @@ get_attr_ird(ATTR_PARAMS)
 	ret = SQLColAttribute(Statement, 1, attr->value, NULL, SQL_IS_INTEGER, NULL, &i);
 	if (!SQL_SUCCEEDED(ret))
 		fatal("Line %u: failure not expected\n", line_num);
+	/* SQL_DESC_LENGTH is the same of SQLDescribeCol len */
+	if (attr->value == SQL_DESC_LENGTH) {
+		SQLSMALLINT si;
+		SQLULEN li;
+		CHKDescribeCol(1, NULL, 0, NULL, &si, &li, &si, &si, "S");
+		if (i != li)
+			fatal("Line %u: attr %s SQLDescribeCol len %ld != SQLColAttribute len %ld\n", line_num, attr->name, (long) li, (long) i);
+	}
 	return i;
 }
 

